Subject: Re: [PATCH v2 1/2] seq_file: Introduce DEFINE_SHOW_ATTRIBUTE() helper macro

From: Andy Shevchenko <andriy.shevchenko-VuQAYsv1563Yd54FQh9/[email-masked]>
Date: Tue, 28 Nov 2017 14:19:54 +0200

On Tue, 2017-11-28 at 09:43 +0100, Marcel Holtmann wrote:
> Hi Andy,
> 
> > The DEFINE_SHOW_ATTRIBUTE() helper macro would be useful for current
> > users, which are many of them, and for new comers to decrease code
> > duplication.

> can we define this in hci_debugfs.c first and get that patch merged
> into bluetooth-next. And only as a follow up patch try to generalize
> this in seq_file.h. I really don’t like to carry a patch for
> seq_file.h in the bluetooth-next tree.
> 

This was in v1 [1].

Feel free to apply it instead. Frankly I don't understand what's wrong
with carrying patch against seq_file.h? Is it "person non grata"?

[1]: https://marc.info/?l=linux-bluetooth&m=151138535801354&w=2

-- 
Andy Shevchenko <andriy.shevchenko-VuQAYsv1563Yd54FQh9/[email-masked]>
Intel Finland Oy